<template>
  <h1>{{ counter }}</h1>
  <button type="button" @click="increaseCounter">+</button>
</template>

<script setup>
  import { ref } from 'vue'

  const counter = ref(0)

  function increaseCounter() {
    counter.value++
    console.log(counter.value)
  }
</script>
